Loading...
Searching...
No Matches
gx_engine::ModuleSelectorFromList Class Reference

`#include <gx_engine.h>`

Inheritance diagram for gx_engine::ModuleSelectorFromList:

## Public Member Functions

| ModuleSelectorFromList (EngineControl &seq, const char *id, const char *name, const char *category, plugindef_creator module_ids[], const char *select_id, const char *select_name, uiloader loader, const char **groups=0, int flags=0)
| ~ModuleSelectorFromList ()
void | set_module ()
Public Member Functions inherited from gx_engine::ModuleSelector
| ModuleSelector (EngineControl &seq_)
virtual | ~ModuleSelector ()

## Public Attributes

Plugin | plugin

## Private Member Functions

int | register_parameter (const ParamReg &reg)

## Static Private Member Functions

static int | static_register (const ParamReg &reg)

## Private Attributes

int | selector
const char * | select_id
const char * | select_name
Plugin * | current_plugin
PluginDef ** | modules
unsigned int | size
value_pair * | values
Private Attributes inherited from PluginDef
int | version
int | flags
const char * | id
const char * | name
const char ** | groups
const char * | description
const char * | category
const char * | shortname
process_mono_audio | mono_audio
process_stereo_audio | stereo_audio
inifunc | set_samplerate
activatefunc | activate_plugin
registerfunc | register_params
uiloader | load_ui
clearstatefunc | clear_state
deletefunc | delete_instance

## Additional Inherited Members

Protected Attributes inherited from gx_engine::ModuleSelector
EngineControl & | seq

## Detailed Description

Definition at line 37 of file gx_engine.h.

## Constructor & Destructor Documentation

## ModuleSelectorFromList()

gx_engine::ModuleSelectorFromList::ModuleSelectorFromList | ( | EngineControl & | seq,
|  | const char * | id,
|  | const char * | name,
|  | const char * | category,
|  | plugindef_creator | module_ids[],
|  | const char * | select_id,
|  | const char * | select_name,
|  | uiloader | loader,
|  | const char ** | groups = 0,
|  | int | flags = 0 )

## ~ModuleSelectorFromList()

gx_engine::ModuleSelectorFromList::~ModuleSelectorFromList | ( |  | ) |

## Member Function Documentation

## register_parameter()

int gx_engine::ModuleSelectorFromList::register_parameter | ( | const ParamReg & | reg | ) |

private

## set_module()

void gx_engine::ModuleSelectorFromList::set_module | ( |  | ) |

virtual

Implements gx_engine::ModuleSelector.

## static_register()

int gx_engine::ModuleSelectorFromList::static_register | ( | const ParamReg & | reg | ) |

static private

## Member Data Documentation

## current_plugin

Plugin* gx_engine::ModuleSelectorFromList::current_plugin

private

Definition at line 42 of file gx_engine.h.

## modules

PluginDef** gx_engine::ModuleSelectorFromList::modules

private

Definition at line 43 of file gx_engine.h.

## plugin

Plugin gx_engine::ModuleSelectorFromList::plugin

Definition at line 50 of file gx_engine.h.

## select_id

const char* gx_engine::ModuleSelectorFromList::select_id

private

Definition at line 40 of file gx_engine.h.

Referenced by ModuleSelectorFromList().

## select_name

const char* gx_engine::ModuleSelectorFromList::select_name

private

Definition at line 41 of file gx_engine.h.

Referenced by ModuleSelectorFromList().

## selector

int gx_engine::ModuleSelectorFromList::selector

private

Definition at line 39 of file gx_engine.h.

## size

unsigned int gx_engine::ModuleSelectorFromList::size

private

Definition at line 44 of file gx_engine.h.

## values

value_pair* gx_engine::ModuleSelectorFromList::values

private

Definition at line 45 of file gx_engine.h.

The documentation for this class was generated from the following file:

- src/headers/gx_engine.h